/*
Theme Name: alaudaoliveoil
Theme URI: https://www.alaudaoliveoil.com
Version: 1.0
Description: Tema personalizado para Alauda Olive Oil
Author: SeGeTIC
Author URI: https://www.segetic.com
Template: generatepress
*/

@font-face {
    font-family: "Futura Regular";
    src: url("fonts/futura_regular/futura_regular.eot");
    src: url("fonts/futura_regular/futura_regular.eot?#iefix")format("embedded-opentype"),
    url("fonts/futura_regular/futura_regular.woff2")format("woff2"),
    url("fonts/futura_regular/futura_regular.ttf")format("truetype")
}

@font-face {
    font-family: "Futura Light";
    url("fonts/futura_light/futura_light.woff")format("woff"),
    url("fonts/futura_light/futura_light.woff2")format("woff2"),
    url("fonts/futura_light/futura_light.ttf")format("truetype")
}

@font-face {
    font-family: 'Quicksand Light';
    src: url('fonts/quicksand/Quicksand-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Quicksand Bold';
    src: url('fonts/quicksand/Quicksand-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

:root {
    --tamano_texto_normal: 20px;
    --altura_texto_normal: 25px;
}

/* **** Generales **** */
/* **** Header **** */
/* **** Menu **** */
/* **** Breadcrumbs ****/
/* **** Pagina **** */
/* **** Tienda **** */
/* **** Producto **** */
/* **** Página Mantenimiento **** */
/* **** Contacto **** */
/* **** Footer **** */
/* **** Media Queries **** */

/* **** Generales **** */
body {
    font-family: "Quicksand Light";
}
.separate-containers .inside-article {
    padding: 0 !important;
}
.separate-containers .site-main {
    margin: 0 !important;
}
.e-con.e-flex>.e-con-inner {
    padding: 0 !important;
}
.button {
    background-color: transparent !important;
    color: #000000 !important;
    font-size: var(--tamano_texto_normal) !important;
    line-height: var(--altura_texto_normal) !important;
    font-weight: 300 !important;
    letter-spacing: 0;
    border: 1px solid #000 !important;
    padding: 4px 15px 8px !important;
}

/* **** Header **** */
header {
    min-height: 140px;
}
.inside-header {
    height: 140px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    flex-direction: row !important;
    padding: 0;
}
.mobile-menu-control-wrapper .menu-toggle {
    display: block !important;
    background: transparent !important;
    color: #000 !important;
    padding: 0 !important;
    width: auto !important;
    font-size: 25px; /* Ajusta el tamaño de las rayas */
    line-height: 1;
}
.menu-toggle .mobile-menu {
    display: none; /* Oculta la palabra "Menú" si aparece */
}
.custom-left-header {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    height: 80px;
}
.custom-left-header .main-navigation {
    margin-left: 0;
}
.site-logo {
    flex: 0;
    order: 2;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}
.site-logo img {
    width: 177px;
    height: 41px;
}
.custom-right-header {
    flex: 1;
    order: 3;
    display: flex;
    justify-content: flex-end;
    align-items: self-start;
    gap: 20px;
    height: 80px;
    margin-top: 15px;
}
.header-search-container {
    display: flex;
    align-items: center;
    gap: 10px;
}
.header-search-bar {
    width: 241px;
}
.woocommerce-product-search {
    display: flex;
    align-items: center;
    width: 100%;
    height: 20px;
}
.woocommerce-product-search .search-field {
    width: 100%;
    padding: 0;
    border: none;
    border-bottom: 1px solid #000;
    outline: none;
    background-color: transparent;
    font-family: "Quicksand Light";
}
.woocommerce-product-search input[type="search"] {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #000;
}
.woocommerce-product-search .search-field::-webkit-search-cancel-button {
    -webkit-appearance: none; /* Quita el diseño azul por defecto */
    height: 20px;
    width: 20px;
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='black'><path d='M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z'/></svg>") no-repeat center;
    cursor: pointer;
}
.search-submit-btn {
    background: none;
    border-left: none; /* Une el botón con el input */
    padding: 8px 15px;
    border-radius: 0 4px 4px 0; /* Bordes redondeados solo a la derecha */
    cursor: pointer;
    color: #333; /* Color del icono */
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%; /* Se adapta a la altura del input */
}
.search-submit-btn:hover,
.search-submit-btn:active,
.search-submit-btn:focus {
    background-color: transparent;
}
.custom-right-header i {
    font-size: 16px; /* Tamaño elegante y pequeño */
    color: #000;
    transition: opacity 0.3s;
}
.custom-right-header i:hover {
    opacity: 0.6;
}
.header-social-icons {
    display: flex;
    gap: 10px;
    margin-left: 10px;
}
.header-social-icons i.fa-linkedin-in {
    font-size: 15px;
    height: 13px;
}
.header-social-icons i.fa-facebook-f {
    font-size: 12px;
}
.header-social-icons i.fa-x {
    font-size: 12px;
    height: 9px;
}

.header-social-icons a {
    text-decoration: none;
    color: inherit;
    display: flex;
    align-items: center;
}
sr7-module .sr7-layer {
    font-family: 'Quicksand Light' !important;
}

/* **** Breadcrumbs ****/
.custom-breadcrumbs {
    margin-bottom: 5px;
}
.custom-breadcrumbs a,
.custom-breadcrumbs span,
.woocommerce-breadcrumb a,
.woocommerce-breadcrumb {
    color: #000000 !important;
    font-size: 20px !important;
    text-decoration: none;
}
.custom-breadcrumbs a,
.woocommerce-breadcrumb a,
.custom-breadcrumbs .sep,
.woocommerce-breadcrumb .sep {
    font-family: "Quicksand Light" !important;
    font-weight: 300;
}
.custom-breadcrumbs,
.woocommerce-breadcrumb {
    font-family: "Quicksand Bold" !important;
    font-weight: 700;
}


/* **** Pagina **** */
body.page-template h2,
body.page-template p {
    font-family: "Quicksand Light" !important;
}

/* **** Tienda **** */
.woocommerce ul.products li.product a div,
.woocommerce ul.products li.product a h2 {
    color: #000000;
}
.woocommerce ul.products li.product .product-title1 {
    font-family: "Quicksand Bold";
    font-size: 20px;
    line-height: 20px;
}
.woocommerce ul.products li.product .product-title2,
.woocommerce ul.products li.product h2,
.woocommerce ul.products li.product div {
    font-family: "Quicksand Light";
    font-size: 15px !important;
    line-height: 20px;
    padding: 0 !important;
}
.woocommerce .woocommerce-result-count,
.woocommerce .woocommerce-ordering {
    display: none;
}
.woocommerce-shop .inside-article .entry-content header {
    display: none;
}
.woocommerce ul.products li.product .woocommerce-loop-product__title,
.home ul.products li.product .woocommerce-loop-product__title {
    font-family: "Quicksand Bold" !important;
    color: #000000 !important;
}

/* **** Producto **** */
/* Estructura principal de dos columnas */
.contenedor-dos-columnas-alauda {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px; /* Separación de 40px de tus guías */
    font-family: 'Quicksand Light';
}
.contenedor-dos-columnas-alauda h1.product_title {
    font-size: var(--tamano_texto_normal);
    line-height: var(--altura_texto_normal);
    font-weight: 300;
    margin-bottom: 10px;
    text-transform: uppercase;
}
.contenedor-dos-columnas-alauda .product_title1 {
    font-size: var(--tamano_texto_normal);
    line-height: var(--altura_texto_normal);
}
.contenedor-dos-columnas-alauda .product_title2 {
    font-size: 60px;
    line-height: 50px;
    margin-bottom: 20px;
}
.contenedor-dos-columnas-alauda .product_title3 {
    font-family: "Quicksand Bold";
    font-size: 15px;
    line-height: 20px;
}
.contenedor-dos-columnas-alauda p {
    font-family: "Quicksand Light";
    font-size: 15px;
    line-height: 20px;
}
.contenedor-dos-columnas-alauda .price {
    font-size: var(--tamano_texto_normal) !important;
    line-height: var(--altura_texto_normal);
    color: #000 !important;
    margin-bottom: 15px;
}
.woocommerce div.product form.cart .variations tr {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    margin-bottom: 0;
}
.woocommerce div.product form.cart .variations tr th,
.woocommerce div.product form.cart .variations tr td {
    padding: 0;
}
.woocommerce div.product form.cart .variations tr th label {
    font-size: 15px !important;
    line-height: 20px;
    text-transform: uppercase;
    font-family: 'Quicksand Light';
    font-weight: 300;
}
.woocommerce div.product form.cart .variations {
    margin-bottom: 0;
}
.woocommerce div.product form.cart .variations select {
    max-width: none;
    width: 100%;
    font-family: 'Quicksand Light';
    font-weight: 300;
    font-size: 15px !important;
    line-height: 20px;
}
.woocommerce .quantity .qty {
    padding: 5px 15px !important;
}
.campos-custom-alauda h3 {
    font-size: 15px;
    font-weight: bold;
    margin-top: 25px;
    margin-bottom: 5px;
    text-transform: none;
}
.campos-custom-alauda p {
    font-size: 15px;
    line-height: 20px;
    color: #333;
}
.organoleptic-summary-title {
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 12px;
    color: #444;
}
.separador-producto {
    width: 100%;
    height: 0;
    border-top: 1px dotted #000000;
    margin-top: 20px;          /* Espacio con el resumen de arriba */
    margin-bottom: 15px;       /* Espacio con los productos relacionados de abajo */
    clear: both;               /* Asegura que no se monte con elementos flotantes */
}
.woocommerce div.product div.images {
    margin-bottom: 0 !important;
}
.woocommerce div.product div.summary {
    margin-bottom: 10px !important;
}
.related.products h2 {
    font-size: var(--tamano_texto_normal);
    line-height: var(--altura_texto_normal);
    text-transform: uppercase;
}

/* **** Menu **** */
.has-inline-mobile-toggle #site-navigation.toggled {
    margin-top: 0 !important;
    background-color: transparent !important;
}
.main-navigation.toggled .main-nav {
    margin-bottom: 26px;
}
.main-navigation.toggled .main-nav li {
    text-align: center;
}
.main-navigation.toggled .main-nav li a {
    font-family: "Quicksand Light";
    font-weight: 700;
    font-size: 40px;
    line-height: 60px;
    width: 350px;
    margin: 0 auto;
    border-bottom: 1px dotted;
}
.main-navigation.toggled .main-nav li:last-child a {
    border-bottom: none;
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a,
.main-navigation .main-nav ul li:not([class*="current-menu-"]):hover > a {
    color: #000000 !important;
}

/* **** Página Mantenimiento **** */
body.maintenance {
    font-family: Quicksand;
    margin: 0;
}
body.maintenance main#primary {
    width: 100%;
    margin: 0 auto;
}
body.maintenance header {
    max-width: 1380px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 40px;
    padding: 40px 0;
    margin: 0 auto;
}
body.maintenance header > div {
    width: 310px;
    font-size: 15px;
    line-height: 20px;
    height: 80px;
}
body.maintenance header #header-1 {
    padding-left: 40px;
    font-weight: 700;
}
body.maintenance header #header-2 {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: self-end;
}
body.maintenance header #header-2 img {
    width: 177px;
}
body.maintenance .page-content {
    background-image: url('images/image-maintenance.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 825px;
    position: relative;
}
body.maintenance .page-content > div.text1 {
    position: absolute;
    top: 51px;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: black;
    font-size: 25px;
    line-height: 30px;
}
body.maintenance .page-content > div.text2 {
    position: absolute;
    bottom: 80px;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: black;
    font-size: 25px;
    line-height: 30px;
}

/* **** Contacto **** */
body.page-contacto .site-content {
    background-color: #F7F7F7;
}
body.page-contacto .site-content a {
    color: #000000;
}
body.page-contacto .site-content .wpcf7-form label {
    display: flex;
    border-bottom: 1px solid #000000;
    gap: 10px;
    align-items: end;
    width: 100%;
    white-space: nowrap;
}
body.page-contacto .site-content .wpcf7-form label *:nth-child(1) {
    flex-grow: 1;
    display: inline-block;
}
body.page-contacto .site-content .wpcf7-form label input[type="text"],
body.page-contacto .site-content .wpcf7-form label input[type="tel"],
body.page-contacto .site-content .wpcf7-form label input[type="email"] {
    width: 375px;
    border: 0;
    padding: 0;
    font-size: var(--tamano_texto_normal);
    line-height: var(--altura_texto_normal);
    font-family: "Quicksand Light";
    width: 100%;
}
body.page-contacto .site-content .wpcf7-form label textarea {
    font-size: var(--tamano_texto_normal);
    line-height: var(--altura_texto_normal);
    font-family: "Quicksand Light";
    background-color: #ffffff;
    padding: 0;
    border: 0;
}
body.page-contacto .site-content .wpcf7-form label input[type="text"]:focus-visible,
body.page-contacto .site-content .wpcf7-form label input[type="tel"]:focus-visible,
body.page-contacto .site-content .wpcf7-form label input[type="email"]:focus-visible,
body.page-contacto .site-content .wpcf7-form label textarea:focus-visible {
    border: 0;
    outline: none;
    box-shadow: none;
}
body.page-contacto .site-content .wpcf7-form label.no-line {
    display: block;
    border: 0;
}
body.page-contacto .site-content .wpcf7-form .wpcf7-submit {
    background-color: transparent;
    color: #000000;
    padding: 0;
    font-family: "Quicksand Light";
    font-size: 20px;
}
body.page-contacto .site-content .wpcf7-form .wpcf7-not-valid-tip {
    position: absolute;
    left: 0;
    top: 26px;
}

/* **** Footer **** */
.site-footer {
    border-top: 1px dotted #000000;
}
.footer-widgets .widget,
.sidebar .widget {
    font-size: 20px;
    line-height: 25px;
}
.footer-widgets .footer-widgets-container {
    padding: 30px 0;
}
.footer-widgets .footer-widgets-container .inside-footer-widgets > div {
    // border: 1px dotted red;
}
.footer-widgets .footer-widgets-container .inside-footer-widgets .footer-widget-1 aside {
    padding: 0 20px 0 40px;
    border: 1px dotted red;
}
.footer-widgets .footer-widgets-container .inside-footer-widgets .footer-widget-2 aside,
.footer-widgets .footer-widgets-container .inside-footer-widgets .footer-widget-3 aside {
    padding: 0 20px 0 20px;
    border: 1px dotted red;
}
.footer-widgets .footer-widgets-container .inside-footer-widgets .footer-widget-4 aside {
    padding: 0 40px 0 20px;
    border: 1px dotted red;
}
.footer-widgets .footer-widgets-container .inside-footer-widgets .footer-widget-4 .header-social-icons {
    margin-left: 0;
}
.footer-widgets .widget a {
    text-decoration: none;
    color: #000000;
}
.footer-widgets .widget ul.menu li {
    margin-bottom: 0;
}

/* **** Media Queries **** */
@media (max-width: 1322px) {

}

@media (max-width: 767px) {
    /* **** Header **** */
    .site-logo {
        position: static;
        transform: none;
        flex: 1;
        text-align: center;
    }
    .custom-right-header {
        display: none; /* Opcional: ocultar iconos en móvil */
    }

    /* **** Página Mantenimiento **** */
    body.maintenance header {
        flex-direction: column;
    }
    body.maintenance header > div {
        height: auto;
        text-align: center;
    }
    body.maintenance header #header-1 {
        padding-left: 0;
    }
    body.maintenance header #header-2 img {
        margin: 0 auto;
    }
    .contenedor-dos-columnas-alauda {
        grid-template-columns: 1fr;
        gap: 20px;
    }
}
@media (max-width: 480px) {
    .organoleptic-grid {
        grid-template-columns: 1fr;
    }
}
